;*******************************************************************
;
;Script to Show the colors used in Paradox, along with their
;attribute number, useful for devolpers
;
;Original Script by Con Foss, Mt. Vernon, Washington
;(very,very) slight modification by Robert Drain, Toronto, On
;who saw this in PC Magazine, Vol 11, No. 2.
;1/20/92
;*******************************************************************
;
;The magazine had you createlib "yourlib" and then
;use the autolib "yourlib" in another startup script to call this proc
;
;ie: Autolib = "yourlib"
;setkey -90 Pdoxcolors()   ;shift-f7 calls it
;
;I leave it up to you to decide
;*******************************************************************


Proc Pdoxcolors()
clear clearall
paintcanvas
fill ""
attribute 50
1,1,24,79
cursor off

proc circhart()
q = 0
l = 0
n = 0
canvas off
box(4,5,21,73,"       ",127,True)
@ 5,7
for i from 0 to 15
  for n from 0 to 15
  style attribute q
   @ row(),col() ??format("w4,ez",q)
   q = q+1
  endfor
@row()+1,7
endfor
style attribute 113
@ 4, 29 ??"Paradox Color Chart"
canvas on
@24,50 ??"Hit a Key to Quit This"
n = getchar()
endproc

proc box(trow,tcol,brow,bcol,char,color,shadow)
tlc=substr(char,1,1)
top=substr(char,2,1)
trc=substr(char,3,1)
side=substr(char,4,1)
blc=substr(char,5,1)
brc=substr(char,6,1)
fillchar=substr(char,7,1)

wide = bcol - tcol -2
high = brow - trow -1
i = 0
if shadow = true then
  paintcanvas
  fill ""
  attribute 2
  trow+1,tcol+1,brow+1,bcol+1
endif

style attribute color

@trow,tcol ?? tlc +fill(top,wide) +tlc
for i from 1 to high
  @ trow + i,tcol ?? side +fill(fillchar,wide) + side
endfor

@brow,tcol ?? blc + fill(top,wide) + blc
endproc

circhart()
endproc

Pdoxcolors()

